import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/canteenDiningRecord/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/canteenDiningRecord/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/canteenDiningRecord/edit/" + id);
}


function canteenRearServiceList(formData) {
  return request.post(constant.serverUrl + "/base/canteenRearService/canteenRearServiceList", formData);
}

function canteenRearServiceDetail(formData) {
  return request.post(constant.serverUrl + "/base/canteenRearService/canteenRearServiceDetail", formData);
}



export default {
  create, edit, pageList,canteenRearServiceList,canteenRearServiceDetail
}