import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/business/requestForLeave/pageList", formData);
}

function leavePageList(formData){
  return request.post(constant.serverUrl + "/business/requestForLeave/leavePageList", formData);
}



function flowList(id){
  return request.post(constant.serverUrl + "/business/requestForLeave/flowList/" + id);
}


function editAudit(id){
  return request.get(constant.serverUrl + "/business/requestForLeave/editAudit/" + id);
}

 
function update(formModel){  
  return request.post(constant.serverUrl + "/business/requestForLeave/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function leaveExportXlsPageList(formData){
  return request.post(constant.serverUrl + "/business/requestForLeave/leaveExportXlsPageList", formData);
}

function remove(id) {
  return request.post(constant.serverUrl + "/business/requestForLeave/delete/" + id);
}


export default {
  pageList,leavePageList,flowList,editAudit,update,leaveExportXlsPageList,remove
}