import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/business/supplementWork/pageList", formData);
}

function remove(id) {
  return request.post(constant.serverUrl + "/business/supplementWork/delete/" + id);
}

function missAttendanceList(supplementWorkPersonId){
  return request.get(constant.serverUrl + `/business/supplementWork/missAttendanceList?supplementWorkPersonId=${supplementWorkPersonId}`);
}

function patchAttendance(supplementWorkPersonId,workAttendanceId) {
  var formData = new FormData();
  formData.append("supplementWorkPersonId", supplementWorkPersonId);
  formData.append("workAttendanceId", workAttendanceId);

  return request.post(constant.serverUrl + "/business/supplementWork/patchAttendance",formData);
}

export default {
  pageList,remove,missAttendanceList,patchAttendance
}