var routers = [
    {
            //流程管理
            path: '/workflow/processSet/list',
            name: 'workflowProcessSetList',
            // route level code-splitting
            // this generates a separate chunk (about.[hash].js) for this route
            // which is lazy-loaded when the route is visited.
            component: () => import('@/views/workflow/processSet-list.vue'),
            meta: {
                    roles: ["admin"],
                    title: '流程设置'
            }
    },
    {
        //流程模版管理
        path: '/workflow/processTemplate/list',
        name: 'workflowProcessTemplateList',
        // route level code-splitting
        // this generates a separate chunk (about.[hash].js) for this route
        // which is lazy-loaded when the route is visited.
        component: () => import('@/views/workflow/processTemplate-list.vue'),
        meta: {
                roles: ["admin"],
                title: '模版设置'
        }
     },
     {
        //流程步骤管理
        path: '/workflow/processActivity/list',
        name: 'workflowProcessActivityList',
        // route level code-splitting
        // this generates a separate chunk (about.[hash].js) for this route
        // which is lazy-loaded when the route is visited.
        component: () => import('@/views/workflow/processActivity-list.vue'),
        meta: {
                roles: ["admin"],
                title: '步骤设置'
        }
     },
]

export default routers;